# Microeconometrics
# Workbook 6
# Discrete Endogeneity in nonlinear models
# Name:

rm(list=ls())
# ctrl+l

setwd("C:\\Users\\budzi\\Documents\\ME QPE\\2023\\Class 6")    
load("EndoOrdered.RData")

# LS - life satisfaction (1 (not satisfied with their life) - 5 (satisfied with their life))
# linc - log of income
# educ - years of education
# mothedu - years of education (mother)
# id - respondent id
# Ind1 - positive indicator for work-related stress
# Ind2 - negative indicator for work-related stress

## Exercise 1: Run an ordered model in which life satisfaction is explained by log of income and education
# We suspect that income maybe endogenous due to missing variable: "work-related stress"
# Use a control function approach to correct for the endogeneity
  # Use years of education of the parent as an instrumental variable


# Compare ratio of coefficients between log of income and education between these two models


## Exercise 2: Use MIS to correct for endogeneity
  # Use Ind1 and Ind2 as indicator variables for the work-related stress


## Exercise 3: Use latent variable approach to correct for endogeneity
  # Use Ind1 and Ind2 as indicator variables for the work-related stress
  # Hint 1: You can use Apollo to estimate ordered models



## Summary of results: Do different methods lead to similar findings?


